# salt.modules.mattermost

Module for sending messages to Mattermost

Added in version 2017.7.0.

configuration:

  This module can be used by either passing an api_url and hook directly or by specifying both in a configuration profile in the salt master/minion config. For example:

      mattermost:
        hook: peWcBiMOS9HrZG15peWcBiMOS9HrZG15
        api_url: https://example.com

salt.modules.mattermost.post_message(message, channel=None, username=None, api_url=None, hook=None)

  Send a message to a Mattermost channel.

  Parameters:

    - channel -- The channel name, either will work.

    - username -- The username of the poster.

    - message -- The message to send to the Mattermost channel.

    - api_url -- The Mattermost api url, if not specified in the configuration.

    - hook -- The Mattermost hook, if not specified in the configuration.

  Returns:

    Boolean if message was sent successfully.

  CLI Example:

      salt '*' mattermost.post_message message='Build is done'